
<div class="modal fade" id="roleInstructionsModal" tabindex="-1" aria-labelledby="roleInstructionsModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h1 class="modal-title fs-5" id="roleInstructionsModalLabel">Roles in a Strapper's app</h1>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <p>Here are the available actions that each role can do in an app on Strapper:</p>
        <ol>
          <li>
            <label class="form-label fw-semibold">Owner <i class="fa-solid fa-crown ms-1 text-warning"></i></label>
            <ul>
              <li>Can do anything to the app and its components</li>
              <li>Can add or remove editors and viewers</li>
              <li>Can delete the app</li>
            </ul>
          </li>
          <li class="mt-3">
            <label class="form-label fw-semibold">Editor <i class="fa-solid fa-pen ms-1 text-success"></i></label>
            <ul>
              <li>View/edit app configs</li>
              <li>View/edit container configs</li>
              <li>View/edit group configs</li>
              <li>View editors and viewers</li>
              <li>Create a Harbor project</li>
              <li>View/edit deployment processes</li>
            </ul>
          </li>
          <li class="mt-3">
            <label class="form-label fw-semibold">Viewer <i class="fa-solid fa-eye ms-1 text-secondary"></i></label>
            <ul>
              <li>View app configs</li>
              <li>View container configs</li>
              <li>View group configs</li>
              <li>View editors and viewers</li>
              <li>View deployment processes</li>
            </ul>
          </li>
        </ol>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" data-bs-dismiss="modal">Understood</button>
      </div>
    </div>
  </div>
</div>
